API referenceRuntime
Stream Sandbox Process Events
Authorization
bearerAuth AuthorizationBearer <token>
Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.
In: header
Path Parameters
sandbox_id*stringMatch
^sbx_[A-Za-z0-9]+$process_id*stringMatch
^proc_[A-Za-z0-9]+$Header Parameters
X-Metal-Project-ID*stringPublic project ID used to scope sandbox access.
Match
^prj_[A-Za-z0-9]+$Last-Event-ID?integerResume after the last received process event sequence.
Range
0–∞Response Body
text/event-stream
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sandboxes/string/processes/string/events" \ -H "X-Metal-Project-ID: string""id: 3\nevent: stdout\ndata: {\"sequence\":3,\"process_id\":\"proc_example\",\"type\":\"stdout\",\"occurred_at\":\"2026-08-27T08:00:00.000Z\",\"data\":{\"data_base64\":\"aGVsbG8K\",\"byte_length\":6,\"stream_offset_bytes\":0}}\n\n"